
//=======================================================
//  This code is generated by Terasic System Builder
//=======================================================

module DE0_NANO_SOC_LT24SWSEG(

	//////////// CLOCK //////////
	//jgn input 		          		FPGA_CLK1_50,
	input 		          		FPGA_CLK2_50,
	//jgn input 		          		FPGA_CLK3_50,

	//////////// KEY //////////
	//jgn input 		     [1:0]		KEY,

	//////////// LED //////////
	//jgn output		     [7:0]		LED,

	//////////// SW //////////
	//jgn input 		     [3:0]		SW,

	//jgn added the 7 segment inputs
	//bit 7 is the decimal point, bits 6 to 0 are the seven segments
	input [7:0] seven_segment_zero,
	input [7:0] seven_segment_one,
	input [7:0] seven_segment_two,
	input [7:0] seven_segment_three,
	input [7:0] seven_segment_four,
	input [7:0] seven_segment_five,
	
	//jgn LT 24 LED, SLIDERS, PUSHBUTTONs inputs
	input  [9:0] led,
	output [9:0] sliders,
	output [3:0] push_button,
	
	input RESET,
	
	//////////// GPIO_0, GPIO connect to LT24 - 2.4" LCD and Touch //////////
	input 		          		LT24_ADC_BUSY,
	output		          		LT24_ADC_CS_N,
	output		          		LT24_ADC_DCLK,
	output		          		LT24_ADC_DIN,
	input 		          		LT24_ADC_DOUT,
	input 		          		LT24_ADC_PENIRQ_N,
	
	output		          		LT24_CS_N,
	inout	       [15:0]		   LT24_D,
	output		          		LT24_LCD_ON,
	output		          		LT24_RD_N,
	output		          		LT24_RESET_N,
	output		          		LT24_RS,
	output		          		LT24_WR_N
);



//=======================================================
//  REG/WIRE declarations
//=======================================================
 //--TEST 
 //jgn wire [9:0] TSW;
 //jgn wire [3:0] TKEY;
 wire [7:0] int_seven_segment_zero;
 wire [7:0] int_seven_segment_one;
 wire [7:0] int_seven_segment_two;
 wire [7:0] int_seven_segment_three;
 wire [7:0] int_seven_segment_four;
 wire [7:0] int_seven_segment_five;
		
//=======================================================
//  Structural coding
//=======================================================
// jgn invervt the seven segments, so a logic '1' turns them on.	 
 assign int_seven_segment_zero  = ~seven_segment_zero;
 assign int_seven_segment_one   = ~seven_segment_one;
 assign int_seven_segment_two   = ~seven_segment_two;
 assign int_seven_segment_three = ~seven_segment_three;
 assign int_seven_segment_four  = ~seven_segment_four;
 assign int_seven_segment_five  = ~seven_segment_five;


LT24_HEX_SEG_BT_SW (   //for de1-soc  
	
 //---DE1_SOC Interface----  
    .HEX0(int_seven_segment_zero [6:0]),
    .HEX1(int_seven_segment_one  [6:0]),
    .HEX2(int_seven_segment_two  [6:0]),
    .HEX3(int_seven_segment_three[6:0]),
    .HEX4(int_seven_segment_four [6:0]),
    .HEX5(int_seven_segment_five [6:0]),
    .HEX0_DT( int_seven_segment_zero [7] ) , 
    .HEX1_DT( int_seven_segment_one  [7] ) , 
    .HEX2_DT( int_seven_segment_two  [7] ) , 
    .HEX3_DT( int_seven_segment_three[7] ) , 
    .HEX4_DT( int_seven_segment_four [7] ) , 
    .HEX5_DT( int_seven_segment_five [7] ) , 
	 
    .LEDR(led),
	
    .KEY (push_button),          //O
    .SW  (sliders),           //O
				 
//--LT24 MODULE Interface ----
    //== TOUCH
	.LT24_ADC_DIN  ( LT24_ADC_DIN) ,
	.LT24_ADC_DCLK ( LT24_ADC_DCLK) ,
	.LT24_ADC_CS_N ( LT24_ADC_CS_N), 
	.LT24_ADC_DOUT ( LT24_ADC_DOUT) ,
	.LT24_ADC_BUSY ( LT24_ADC_BUSY),
	.LT24_ADC_PENIRQ_N( LT24_ADC_PENIRQ_N),
	//=== LCD
   .LT24_CS_N   ( LT24_CS_N )	,
	.LT24_D      ( LT24_D      ),
	.LT24_LCD_ON ( LT24_LCD_ON  ) ,	
	.LT24_RD_N   ( LT24_RD_N   ),
	.LT24_RESET_N( LT24_RESET_N),
	.LT24_RS     ( LT24_RS     ),
	.LT24_WR_N   ( LT24_WR_N   ) ,
	
	//=== SYSTEM 
	.SEL       (1) ,  // 0:CORE  ;1 DISPLAY 
	.CLK_50    ( FPGA_CLK2_50) ,
   .RESET_N   ( RESET)	
	
);


//==TEST DISPLAY
//jgn assign LED [7:0 ] =  {  ( TKEY [3] & TKEY [2] & TKEY [1] & TKEY [0]),  TSW[6:0] }  ;

	 
endmodule
